#!../../bin/linux-x86_64/CaenA36xxTest

###############################################################################
# Set up environment
epicsEnvSet("P","$(P=caenA36xx:)")
epicsEnvSet("CAEN_A36xx_TEST","$(CAEN_A36xx_TEST=131.243.201.61:10001)")
< envPaths
cd "${TOP}"

###############################################################################
# Register all support components
dbLoadDatabase "dbd/CaenA36xxTest.dbd"
CaenA36xxTest_registerRecordDeviceDriver pdbbase

###############################################################################
# Set up ASYN ports
devCaenA36xxConfigure("L1","$(CAEN_A36xx_TEST)",0x1)
asynSetTraceIOMask("L1_TCP",-1,0x2)
#asynSetTraceMask("L1_TCP",-1,0x9)

###############################################################################
# Load record instances
dbLoadRecords "db/asynRecord.db" "P=$(P),R=asyn,PORT=L1_TCP,ADDR=0,OMAX=0,IMAX=0"
dbLoadRecords "db/devCaenA36xx.db" "P=$(P),R=TEST:,PORT=L1,RANGE=5,NELM=10000"

###############################################################################
# Start IOC
cd ${TOP}/iocBoot/${IOC}
iocInit
